stages:
  - deploy

image: eclipse-temurin:22

.maven_prepare: &maven_prepare
  before_script:
    - chmod +x ./mvnw

.cache_java:
  cache:
    key: "$CI_JOB_NAME"
    paths:
      - .m2/repository

.deploy_template: &deploy_template
  stage: deploy
  variables:
    ENVIRONMENT: "TEMPLATE"
  script:
    - echo "deploy $ENVIRONMENT"